# Uses of Class
org.codehaus.janino.util.ClassFile.FieldInfo

Packages that use ClassFile.FieldInfo
Package
Description
org.codehaus.janino.util
Application-independent helper classes.

## Uses of ClassFile.FieldInfo in org.codehaus.janino.util

Fields in org.codehaus.janino.util with type parameters of type ClassFile.FieldInfo
Modifier and Type
Field
Description
`final List<ClassFile.FieldInfo>`
ClassFile.`fieldInfos`
The `ClassFile.FieldInfo`s of the field members of this class or interface.
Methods in org.codehaus.janino.util that return ClassFile.FieldInfo
Modifier and Type
Method
Description
`ClassFile.FieldInfo`
ClassFile.`addFieldInfo(short accessFlags, String fieldName, String fieldTypeFd, Object constantValue)`
Creates a `ClassFile.FieldInfo` and adds it to this class.